People

Get person

Returns one account person and their campaign memberships.

GET/v1/people/{globalLeadId}

Authorization

bearerAuth
AuthorizationBearer <token>

Use an account API key in the Authorization header: Authorization: Bearer f_....

In: header

Path Parameters

globalLeadIdstring

Stable account-scoped person id (SHA-256 of normalized email).

curl -X GET "https://example.com/v1/people/string"
{  "data": {    "person": {      "global_lead_id": "string",      "email": "string",      "display_name": "string",      "first_name": "string",      "last_name": "string",      "campaign_count": 0,      "company_list": "string",      "has_reply": true,      "latest_activity_at": "2019-08-24T14:15:22Z",      "newest_membership_created_at": "2019-08-24T14:15:22Z",      "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",      "native_campaign_count": 0,      "smartlead_campaign_count": 0,      "updated_at": "2019-08-24T14:15:22Z"    },    "memberships": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",        "email": "string",        "deleted_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z"      }    ]  }}
{  "error": {    "type": "authentication_error",    "code": "invalid_api_key",    "message": "A valid Furnace API key is required"  }}
{  "error": {    "type": "invalid_request_error",    "code": "campaign_not_found",    "message": "Campaign not found"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limit_exceeded",    "message": "Rate limit exceeded for this account"  }}
{  "error": {    "type": "api_error",    "code": "internal_error",    "message": "Internal server error"  }}